import request from '@/utils/request'

// 查询文章分类列表
export function listArticleCategory(query) {
  return request({
    url: '/bst/articleCategory/list',
    method: 'get',
    params: query
  })
}

// 查询文章分类详细
export function getArticleCategory(id) {
  return request({
    url: '/bst/articleCategory/' + id,
    method: 'get'
  })
}

// 新增文章分类
export function addArticleCategory(data) {
  return request({
    url: '/bst/articleCategory',
    method: 'post',
    data: data
  })
}

// 修改文章分类
export function updateArticleCategory(data) {
  return request({
    url: '/bst/articleCategory',
    method: 'put',
    data: data
  })
}

// 删除文章分类
export function delArticleCategory(id) {
  return request({
    url: '/bst/articleCategory/' + id,
    method: 'delete'
  })
}
